#! /bin/sh
#
#  Shell script to batch convert binary snafu spreadsheets to
#  text spreadsheets.  GSD 060622.
#
#  $1 = analysis directory,  $2 = YYMMDD.#,  $3 = Home directory 

# engineering data
cd $2
snafu -bsnafuEXT
mv eng ../$1/eng$2.txt
mv engmsd ../$1/engmsd$2.txt
mv dig ../$1/dig$2.txt

# real-time integration files
for file in int-*; do
	mv -v $file ../$1/$file.$2.txt
done

# cleanup
cd $3
rm *.sps int-*

# move chroms from chrom dir
mv -f chroms $1

slay rdr

# beep when done
echo "\a"
sleep 1
echo "\a"

cls
echo
echo
read ARCH?"  Would you like to archive the flight directory? [Y/N]"
if [ $ARCH = y -o $ARCH = Y ]; then
	read ANAME?"   -> Archive's name excluding extension"
	cd $3
	cd ..
	tar -cv flight | gzip > $ANAME.tgz
fi
